Bug 1414840 (php-react-http) - Review Request: php-react-http - Library for building an evented http server
Summary: Review Request: php-react-http - Library for building an evented http server
Keywords:
Status: CLOSED ERRATA
Alias: php-react-http
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: php-evenement php-react-stream php-react-socket
Blocks: php-react
TreeView+ depends on / blocked
 
Reported: 2017-01-19 15:06 UTC by Shawn Iwinski
Modified: 2017-02-26 03:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-14 21:23:34 UTC
Type: ---
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (8.80 KB, text/plain)
2017-01-21 07:45 UTC, Remi Collet
no flags Details
phpci.log (6.29 KB, text/plain)
2017-01-21 07:46 UTC, Remi Collet
no flags Details
review.txt (9.07 KB, text/plain)
2017-01-21 07:46 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2017-01-19 15:06:12 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/6f89195c948c6f9aadee611b89bf350ba56a59c8/php-react-http/php-react-http.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-react-http-0.4.2-1.fc25.src.rpm

Description:
Library for building an evented http server.

This component builds on top of the Socket component to implement HTTP. Here
are the main concepts:

* Server: Attaches itself to an instance of React\Socket\ServerInterface,
      parses any incoming data as HTTP, emits a request event for each request.
* Request: A ReadableStream which streams the request body and contains meta
      data which was parsed from the request header.
* Response A WritableStream which streams the response body. You can set the
      status code and response headers via the writeHead() method.

Fedora Account System Username: siwinski

Comment 1 Remi Collet 2017-01-21 07:45:34 UTC
Created attachment 1243100 [details]
phpci.log

     Note: phpCompatInfo version 5.0.4 DB version 1.16.0 built Dec 16 2016
     06:59:17 CET static analyze results in

Comment 2 Remi Collet 2017-01-21 07:46:04 UTC
Created attachment 1243101 [details]
phpci.log

Comment 3 Remi Collet 2017-01-21 07:46:40 UTC
Created attachment 1243102 [details]
review.txt


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1414840 -L /home/extras/SPECS/review/RPMS/
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api

Comment 4 Remi Collet 2017-01-21 07:47:13 UTC
[x]: Package complies to the Packaging Guidelines


=== APPROVED ===

Comment 5 Gwyn Ciesla 2017-01-23 14:25:43 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-react-http

Comment 6 Fedora Update System 2017-01-30 17:49:50 UTC
php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 php-react-0.4.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-70b54af759

Comment 7 Fedora Update System 2017-01-31 02:52:46 UTC
php-react-0.4.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-70b54af759

Comment 8 Fedora Update System 2017-02-01 17:30:16 UTC
php-react-0.4.2-2.el7 php-react-stream-0.4.6-1.el7 php-react-socket-0.4.6-1.el7 php-react-child-process-0.4.1-2.el7 php-react-http-0.4.2-2.el7 php-react-http-client-0.4.15-2.el7 php-react-socket-client-0.4.6-3.el7 php-react-dns-0.4.3-3.el7 php-react-promise-timer-1.1.1-2.el7 php-react-event-loop-0.4.2-2.el7 php-react-cache-0.4.1-2.el7 php-clue-block-react-1.1.0-2.el7 php-clue-stream-filter-1.3.0-2.el7 php-evenement-2.0.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7258a839b5

Comment 9 Fedora Update System 2017-02-01 17:31:36 UTC
php-react-0.4.2-2.fc25 php-react-stream-0.4.6-1.fc25 php-react-socket-0.4.6-1.fc25 php-react-child-process-0.4.1-2.fc25 php-react-http-0.4.2-2.fc25 php-react-http-client-0.4.15-2.fc25 php-react-socket-client-0.4.6-3.fc25 php-react-dns-0.4.3-3.fc25 php-react-promise-timer-1.1.1-2.fc25 php-react-event-loop-0.4.2-2.fc25 php-react-cache-0.4.1-2.fc25 php-clue-block-react-1.1.0-2.fc25 php-clue-stream-filter-1.3.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-01c3948081

Comment 10 Fedora Update System 2017-02-01 17:35:22 UTC
php-clue-block-react-1.1.0-2.fc24 php-clue-stream-filter-1.3.0-2.fc24 php-react-0.4.2-2.fc24 php-react-cache-0.4.1-2.fc24 php-react-child-process-0.4.1-2.fc24 php-react-dns-0.4.3-3.fc24 php-react-event-loop-0.4.2-2.fc24 php-react-http-0.4.2-2.fc24 php-react-http-client-0.4.15-2.fc24 php-react-promise-timer-1.1.1-2.fc24 php-react-socket-0.4.6-1.fc24 php-react-socket-client-0.4.6-3.fc24 php-react-stream-0.4.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-70b54af759

Comment 11 Fedora Update System 2017-02-02 21:48:58 UTC
php-clue-block-react-1.1.0-2.fc24, php-clue-stream-filter-1.3.0-2.fc24, php-react-0.4.2-2.fc24, php-react-cache-0.4.1-2.fc24, php-react-child-process-0.4.1-2.fc24, php-react-dns-0.4.3-3.fc24, php-react-event-loop-0.4.2-2.fc24, php-react-http-0.4.2-2.fc24, php-react-http-client-0.4.15-2.fc24, php-react-promise-timer-1.1.1-2.fc24, php-react-socket-0.4.6-1.fc24, php-react-socket-client-0.4.6-3.fc24, php-react-stream-0.4.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-70b54af759

Comment 12 Fedora Update System 2017-02-03 23:49:30 UTC
php-clue-block-react-1.1.0-2.fc25, php-clue-stream-filter-1.3.0-2.fc25, php-react-0.4.2-2.fc25, php-react-cache-0.4.1-2.fc25, php-react-child-process-0.4.1-2.fc25, php-react-dns-0.4.3-3.fc25, php-react-event-loop-0.4.2-2.fc25, php-react-http-0.4.2-2.fc25, php-react-http-client-0.4.15-2.fc25, php-react-promise-timer-1.1.1-2.fc25, php-react-socket-0.4.6-1.fc25, php-react-socket-client-0.4.6-3.fc25, php-react-stream-0.4.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-01c3948081

Comment 13 Fedora Update System 2017-02-04 01:19:52 UTC
php-clue-block-react-1.1.0-2.el7, php-clue-stream-filter-1.3.0-2.el7, php-evenement-2.0.0-3.el7, php-react-0.4.2-2.el7, php-react-cache-0.4.1-2.el7, php-react-child-process-0.4.1-2.el7, php-react-dns-0.4.3-3.el7, php-react-event-loop-0.4.2-2.el7, php-react-http-0.4.2-2.el7, php-react-http-client-0.4.15-2.el7, php-react-promise-timer-1.1.1-2.el7, php-react-socket-0.4.6-1.el7, php-react-socket-client-0.4.6-3.el7, php-react-stream-0.4.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7258a839b5

Comment 14 Fedora Update System 2017-02-14 21:23:34 UTC
php-clue-block-react-1.1.0-2.fc25, php-clue-stream-filter-1.3.0-2.fc25, php-react-0.4.2-2.fc25, php-react-cache-0.4.1-2.fc25, php-react-child-process-0.4.1-2.fc25, php-react-dns-0.4.3-3.fc25, php-react-event-loop-0.4.2-2.fc25, php-react-http-0.4.2-2.fc25, php-react-http-client-0.4.15-2.fc25, php-react-promise-timer-1.1.1-2.fc25, php-react-socket-0.4.6-1.fc25, php-react-socket-client-0.4.6-3.fc25, php-react-stream-0.4.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-02-15 03:18:28 UTC
php-clue-block-react-1.1.0-2.fc24, php-clue-stream-filter-1.3.0-2.fc24, php-react-0.4.2-2.fc24, php-react-cache-0.4.1-2.fc24, php-react-child-process-0.4.1-2.fc24, php-react-dns-0.4.3-3.fc24, php-react-event-loop-0.4.2-2.fc24, php-react-http-0.4.2-2.fc24, php-react-http-client-0.4.15-2.fc24, php-react-promise-timer-1.1.1-2.fc24, php-react-socket-0.4.6-1.fc24, php-react-socket-client-0.4.6-3.fc24, php-react-stream-0.4.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-02-26 03:48:46 UTC
php-clue-block-react-1.1.0-2.el7, php-clue-stream-filter-1.3.0-2.el7, php-evenement-2.0.0-3.el7, php-react-0.4.2-2.el7, php-react-cache-0.4.1-2.el7, php-react-child-process-0.4.1-2.el7, php-react-dns-0.4.3-3.el7, php-react-event-loop-0.4.2-2.el7, php-react-http-0.4.2-2.el7, php-react-http-client-0.4.15-2.el7, php-react-promise-timer-1.1.1-2.el7, php-react-socket-0.4.6-1.el7, php-react-socket-client-0.4.6-3.el7, php-react-stream-0.4.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.